package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_core.InsInsuranceSlip;
import com.bcxin.ins.entity.policy_core.InsMailPolicy;
import com.bcxin.ins.vo.MailPolicyVo;
import com.bcxin.mybatisplus.service.IService;

public interface InsMailPolicyAPIService extends IService<InsMailPolicy> {
	
	public InsMailPolicy initInsMailPolicy();
	
	public void accordingToTheMailPolicyVoSetUpInsMailPolicy(MailPolicyVo vo, Long insMailPolicyID);
	
	public void accordingToInsMailPolicyIntoMailPolicyVo(MailPolicyVo vo, InsMailPolicy insMailPolicy);
	
	public void throughTheInsInsuranceSlipForInsMailPolicySetUpInsInsuranceSlip(InsInsuranceSlip iisg);

	public void dbSave(InsMailPolicy insMailPolicy);

	public void updateUrlByExternalreference(String url, String externalreference);

	/**
	 * <b> 根据订单id查询发票信息 </b>
	 * @author ZXF
	 * @create 2019/12/16 0016 16:09
	 * @version
	 * @注意事项 </b>
	 */
	public InsMailPolicy getInsMailPolicyByOrderId(Long order_id);
}
